Name:           veyon
Version:        4.8.0
Release:        2%{?dist}
Summary:        Cross-platform computer control and classroom management

License:        GPLv2
URL:            https://veyon.io
Source0:        https://github.com/veyon/veyon/releases/download/v4.8.0/%{name}-%{version}-src.tar.bz2

BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  git
BuildRequires:  git-core
BuildRequires:  cyrus-sasl-devel
BuildRequires:  libvncserver
BuildRequires:  libvncserver-devel
BuildRequires:  libXcomposite
BuildRequires:  libXcomposite-devel
BuildRequires:  libXdamage
BuildRequires:  libXdamage-devel
BuildRequires:  libXtst-devel
BuildRequires:  libjpeg-turbo-devel
BuildRequires:  lzo-devel
BuildRequires:  ninja-build
BuildRequires:  openldap-devel
BuildRequires:  openssl-devel
BuildRequires:  pam-devel
BuildRequires:  procps-devel
BuildRequires:  qca-devel
BuildRequires:  qca-qt5-devel
BuildRequires:  qt5-qtbase-devel
BuildRequires:  qt5-qtbase-private-devel
BuildRequires:  qt5-qtconfiguration-devel
BuildRequires:  qt5-qttools-devel
BuildRequires:  qt5-qtwebsockets
BuildRequires:  qt5-qtwebsockets-devel
BuildRequires:  svncpp
BuildRequires:  svncpp-devel
BuildRequires:  x11vnc
BuildRequires:  xorg-x11-server-source
BuildRequires:  zlib-devel

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

BuildRequires:  desktop-file-utils


%description
Veyon is a free and open source software for monitoring and controlling
             : computers across multiple platforms. Veyon supports you in teaching in digital
             : learning environments, performing virtual trainings or giving remote support.
             : 
             : The following features are available in Veyon:
             : 
             : * Overview: monitor all computers in one or multiple locations or classrooms
             : * Remote access: view or control computers to watch and support users
             : * Demo: broadcast the teacher's screen in realtime (fullscreen/window)
             : * Screen lock: draw attention to what matters right now
             : * Communication: send text messages to students
             : * Start and end lessons: log in and log out users all at once
             : * Screenshots: record learning progress and document infringements
             : * Programs & websites: launch programs and open website URLs remotely
             : * Teaching material: distribute and open documents, images and videos easily
             : * Administration: power on/off and reboot computers remotely


%prep
%autosetup 

%build
mkdir build
cd build
cmake ..
make -j4

%install
%cmake_install

%files -f %{name}.lang
%license COPYING
%doc README.md CODE_OF_CONDUCT.md
%{_bindir}/%{name}


%changelog
* Fri Jun 09 2023 Geraldo Simiao <geraldosimiao@fedoraproject.org> - 4.8.0-1
- Initial package for fedora copr
